

/* 
 *  Licensed Materials - Property of IBM
 *  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */


#include "UmtsServer.h"
#ifdef PROBES
#include "atlprobe.h" // to use TestRT probes _trace
#endif

int main( )
{
  int code;

#ifdef PROBES
// open the probe trace when application begin
atl_start_trace(base_ctx,"",phone,10000);
#endif

// Tutorial info
// To remove the memory error (ABWL)
// Go down one level in the call stack
  UmtsServer *server= new UmtsServer(10);

// Tutorial info
// the following function call causes several memory leaks
// Have a look at the call stack in the report
// to be able to fix them
  code=server->exec();

#ifdef PROBES
// clode probe trace at the end of the execution
atl_end_trace(base_ctx);
#endif

  delete server;
  return code;
}
