

/* 
 *  Licensed Materials - Property of IBM
 *  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */


// Point.cpp: implementation of the Point class.
//
//////////////////////////////////////////////////////////////////////

#if defined(_WIN32) || defined(__GNUC__)
	#include <iostream>
	using namespace std ;
#else
	#include <iostream.h>
#endif
#include "Point.h"

int Point::getX() const	
{ 
  return x;
}
int Point::getY() const	
{ 
  return y;
}
void Point::translate(int dx, int dy)
{ 
  x += dx; 
  y += dy; 
}
void Point::translate(const Point& p)
{
  x += p.x;
  y += p.y;
}
void Point::print() const
{ 
  cout << '(' << x << ',' << y << ')'; 
}

