

/* 
 *  Licensed Materials - Property of IBM
 *  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */


//////////////////////////////////////:
//  ShapeGathering.h
//////////////////////////////////////


//#include "StdAfx.h"

#include "Shape.h"
#include "Point.h"
#include "ElementaryShapes.h"
#include "ShapeQueue.h"

#ifndef SHAPE_GATHERING_H
#define SHAPE_GATHERING_H

using namespace ElementaryShape;


class ShapeGathering
{
public: 
    ShapeGathering( Square* pSquare, 
                            Circle* pCircle, 
                                    Line* pLine) 
                : priSquare(pSquare),priCircle(pCircle),priLine(pLine){}
        // getters
         const Square getSquare();
       const Circle getCircle();  
         const Line getLine();  
        ~ShapeGathering() {}

        //setters
        void setSquare(Square*  pSquare)  ;
      void setCircle(Circle* pCircle) ;
        void setLine(Line* pLine) ;

protected:
        Square* priSquare ;
        Circle* priCircle ;
        Line* priLine;
} ;

#endif //SHAPE_GATHERING_H

