------------------------------------------------------------------------
--
--  Licensed Materials - Property of IBM
--  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
--  IBM Rational Test RealTime
--  (c) Copyright IBM Corp. 2003-2004 All Rights Reserved.
--
--  US Governement Users Restricted Rights - Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
------------------------------------------------------------------------

-- in this example point hinerite from Item and override Area.
-- So Point.distance is the father function and Point.Area is the child function
-- for this reason using objtect.ptu only Item.distance is covered.

With Items;
Use Items;
Package Forms Is

  Type Point Is New Item With Null Record;

  Type Circle Is New Item With
    Record
       Radius : Float;
    End Record;

  Function Area(C : In Point) Return Float;
  Function Area(C : In Circle) Return Float;
  Function Perimeter(C : In Circle) Return Float;

  Type Triangle Is New Item With
    Record
      A,B,C : Float;
    End Record;

  Function Area(T : In Triangle) Return Float;

  Type Cylinder Is New Circle With
    Record
      Height : Float;
    End Record;

  Function Area(C : In Cylinder) Return Float;
  Function Volume(C : In Cylinder) Return Float;

End Forms;






