
------------------------------------------------------------------------
--
--  Licensed Materials - Property of IBM
--  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
--  IBM Rational Test RealTime
--  (c) Copyright IBM Corp. 2003-2004 All Rights Reserved.
--
--  US Governement Users Restricted Rights - Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
------------------------------------------------------------------------



With Ada.Numerics.Generic_Elementary_Functions;
With Ada.Numerics; Use Ada.numerics;

Package Body Items Is

   Package Calc Is New Ada.Numerics.Generic_Elementary_Functions(Float);
   Use Calc;

   Function Distance(I : In Item) Return Float Is
   Begin
     Return Sqrt(I.X_Coord**2+I.Y_Coord**2);
   End Distance;

   Function Area(I : In Item) Return Float Is
   Begin
     Return 0.0;
   End Area;


End Items;
