set INTDIR=Temp
set CC=cl.exe
set LD=link.exe
set name=UseDll
set INSTRUM=
set "INSTRUM="%ATLTGT%\cmd\attolcc" --ATL_RUNTIME_FORMAT=DLL --NAME=%name% -tmpdir=Temp -verbose -otc=scripts\test.otc -mempro -perfpro -trace -proc=ret -block=impl --"

mkdir %INTDIR%

rem make Dll3
%INSTRUM% %CC% -ZI -Yd -GZ -GX -GR -c src/myDll.cpp -Fo%INTDIR%/myDll.obj -Isrc -Iscripts -I%INTDIR%
%INSTRUM% %LD% /dll /subsystem:console /machine:I386 %INTDIR%/myDll.obj /out:"%INTDIR%/myDll.dll" /implib:"%INTDIR%/myDll.lib"

rem make application
%INSTRUM% %CC% -ZI -Yd -GZ -GX -GR -c src/UseDll.cpp -Fo%INTDIR%/UseDll.obj -Isrc -Iscripts -I%INTDIR%
%INSTRUM% %LD% /debug /subsystem:console /machine:I386 /pdb:none /out:%INTDIR%/%name%.exe %INTDIR%/UseDll.obj %INTDIR%/myDll.lib

rem execution
%INTDIR%\%name%.exe  

studioreport %INTDIR%\attolccfiles.log