set INTDIR=Temp
set CC=cl.exe
set LD=link.exe
set INSTRUM=
set SPECIAL_OPTION=--ATL_USE_VOLATIL_DLL=this 
set "INSTRUM="%ATLTGT%\cmd\attolcc" --ATL_RUNTIME_FORMAT=DLL %SPECIAL_OPTION% --NAME=LoadDll -tmpdir=Temp -verbose  --"

mkdir %INTDIR%

rem make Dll3
%INSTRUM% %CC% -ZI -Yd -GZ -GX -GR -c src/myDll2.c -Fo%INTDIR%/myDll2.obj -Isrc -Iscripts -I%INTDIR%
%INSTRUM% %LD% /dll /subsystem:console /machine:I386 %INTDIR%/myDll2.obj /out:"Temp/myDll2.dll" /implib:"Temp/myDll2.lib"

rem make Dll2
%INSTRUM% %CC% -ZI -Yd -GZ -GX -GR -c src/myDll3.c -Fo%INTDIR%/mySharedLib.obj -Isrc -Iscripts -I%INTDIR%
%INSTRUM% %LD% /dll /subsystem:console /machine:I386 %INTDIR%/mySharedLib.obj /out:"Temp/mySharedLib.dll" /implib:"Temp/mySharedLib.lib"

rem make application
set SPECIAL_OPTION=--ATL_USE_VOLATIL_DLL
set INSTRUM="%ATLTGT%\cmd\attolcc" --ATL_RUNTIME_FORMAT=DLL %SPECIAL_OPTION% --NAME=LoadDll -tmpdir=Temp -verbose  --
%INSTRUM% %CC% -ZI -Yd -GZ -GX -GR -c src/LoadDll.c -Fo%INTDIR%/LoadDll.obj -Isrc -Iscripts -I%INTDIR%
%INSTRUM% %LD% /debug /subsystem:console /machine:I386 /pdb:none /out:%INTDIR%/LoadDll.exe %INTDIR%/LoadDll.obj

rem execution
%INTDIR%\LoadDll.exe  

rem atlsplit atlout.spt 
rem studio *.tio *.tpf *.tqf *.tdf *.tsf *.fdc
studioreport Temp\attolccfiles.log