INTDIR=Temp
CC=gcc
LD=gcc
INSTRUM='attolcc -mempro --atp_reports_fiu=0 --ATL_RUNTIME_FORMAT=DLL --ATL_USE_VOLATIL_DLL=this --NAME=LoadDll -tmpdir=Temp -verbose  --'

mkdir $INTDIR

echo make Dll3
$INSTRUM $CC -c -g -fPIC src/myDll3.c -o $INTDIR/myDll3.o -Isrc -Iscripts
$INSTRUM $LD -shared -g -lc  -nostartfiles -o mySharedLib.so $INTDIR/myDll3.o $INTDIR/TP.so

echo make Dll2
$INSTRUM $CC -c -g -fPIC src/myDll2.c -o $INTDIR/myDll2.o -Isrc -Iscripts
$INSTRUM $LD -shared -g -lc  -nostartfiles -o myDll2.so $INTDIR/myDll2.o $INTDIR/TP.so

echo make application
INSTRUM='attolcc -mempro --atp_reports_fiu=0 --ATL_RUNTIME_FORMAT=DLL --ATL_USE_VOLATIL_DLL --NAME=LoadDll -tmpdir=Temp -verbose  --'
$INSTRUM $CC -c -g src/LoadDll.c -o $INTDIR/LoadDll.o -Isrc -Iscripts
$INSTRUM $CC -g -ldl -o $INTDIR/LoadDll.exe $INTDIR/LoadDll.o

studioreport Temp\attolccfiles.log
