

/* 
 *  Licensed Materials - Property of IBM
 *  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */


/* 
 * (C) 2003 Rational Software Corporation. All Rights Reserved.  
 * 
 * file        : stackcod.c
 * description : encoder/decoder of message
 *
 */

#include "stack.h"
#include<string.h>
#ifdef WIN32
#include <memory.h>
#endif

/* function for encoding a message into a buffer */

int message_buf(message_t *message, buffer_t *buffer)
{
  memcpy(buffer, message, sizeof(message_t));
  return (err_ok);
}

/* function for decoding a buffer into a message */

int buf_message(buffer_t *buffer, message_t *message)
{
  memcpy(message, buffer, sizeof(message_t));
  return (err_ok);
}

void init_message(message_t* msg)
{
  int i; 
  msg->type=0;
  msg->num=0;
  for(i=0;i<SIZE_APPLICATION_NAME;i++)  
    msg->from[i]=0;
  for(i=0;i<SIZE_APPLICATION_NAME;i++)  
    msg->applname[i]=0;
  for(i=0;i<MAX_USERDATA_LENGTH;i++)  
    msg->userdata[i]=0;
  msg->length=0;
}








