

/*
 *  Licensed Materials - Property of IBM
 *  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
typedef struct s_add
{
  int Param1;
  int Param2;
} t_add;

typedef   union {
	  int up1;
	  t_add Params;
  } t_u;

typedef struct s_is
{
  int P1;
  t_u u;
  int P2;
} t_is;

typedef struct{
	int ffState;
	int ffCnt;
} t_ffValues;

typedef struct{
	int sfTimer;
	int sfDelay;
} t_sfValues;

#ifdef UNNAMED_UNION
typedef struct{
	struct {
	unsigned int uID;
	int ID;
	};
	union{
		t_ffValues	ff;
		t_sfValues 	sf;
	};
} t_Au_inStruc;

typedef struct{
	struct s_id {
	unsigned int uID;
	int ID;
	}
#ifndef _MSC_VER
Sid /* some compilers like Visual accept Non named field */
#endif
;
	union u_ffsf {
		t_ffValues	ff;
		t_sfValues 	sf;
	}
#ifndef _MSC_VER
Uffsf /* some compilers like Visual accept Non named field */
#endif
;
} t_Nu_inStruc;

typedef struct{
	struct {
	unsigned int uID;
	int ID;
	} Sid;
	union {
		t_ffValues	ff;
		t_sfValues 	sf;
	} Uffsf;
} t_Du_inStruc;

typedef struct{
	struct s_sid {
	unsigned int uID;
	int ID;
	} Sid;
	union u_Dffsf {
		t_ffValues	ff;
		t_sfValues 	sf;
	} Uffsf;
} t_DNu_inStruc;
#endif

