

     template<class T>
    class CCalculator
    {
    public: 
    // method used by each instantiation but only for 2 types
    CCalculator(const T &x, const T &y) : m_x(x), m_y(y){ }
    ~CCalculator(void){ }
     
    const T add(void){ return m_x + m_y; } // method used by Char and Int2 instantiation
    const T sub(void){ return m_x - m_y; } // method never used
    const T mult(void){ return m_x * m_y; } // method used by Int instantiation
    const T div(void){ return m_x / m_y; } // method never used
     
    private:
    const T m_x;
    const T m_y;
    };
