
------------------------------------------------------------------------
--
--  Licensed Materials - Property of IBM
--  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
--  IBM Rational Test RealTime
--  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
--
--  US Governement Users Restricted Rights - Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
------------------------------------------------------------------------


with Types;

package CodeCoverage is

procedure TEST;

function SimpleCondition(x: in integer) return integer;

procedure Call;

function SimpleConditionWithImplicit(x: in integer) return integer;

function AndCondition(x: in integer) return integer;

function OrCondition(x: in integer) return integer;

function Sum(x: in integer) return natural;

Max_Index: integer:=50;
Detect_switch_case: Types.Detect_Switch_t;
set_switch: Types.Table_Switch_t:=(Types.DETECT_CASE_1,Types.DETECT_CASE_2,Types.DETECT_CASE_3,Types.NO_DETECT);
function CheckCoverageStatement(cond1, cond2, cond3, cond4, cond5: in boolean) return float;
 
end CodeCoverage;


