
------------------------------------------------------------------------
--
--  Licensed Materials - Property of IBM
--  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
--  IBM Rational Test RealTime
--  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
--
--  US Governement Users Restricted Rights - Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
------------------------------------------------------------------------


--with Text_Io;
with Operation;
package body Calculator is
    function Calcul (A : Integer; B : Integer; Choix : T_Choix)
                    return Integer is
        Result : Integer;
    begin
        --Text_Io.Put (">>> " & T_Choix'Image (Choix) & " (" &
        --             Integer'Image (A) & "," & Integer'Image (B) & ")");
        case Choix is
            when Add =>
                Result := Operation.Addi (A, B);
            when Sub =>
                Result := Operation.Subt (A, B);
            when Mul =>
                Result := Operation.Multi (A, B);
            when Div =>
                Result := Operation.Divi (A, B);
        end case;
        --Text_Io.Put_Line (" =" & Integer'Image (Result));
        return Result;
    end Calcul;
end Calculator;

