

/* 
 *  Licensed Materials - Property of IBM
 *  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */



/**********************************************************************
 * Copyright INTERTECHNIQUE (c)  All Rights Reserved                  *
 **********************************************************************/
#ifndef Standard_Types_h_included
#define Standard_Types_h_included


/**********************************************************************
 * Type definitions local to this package                             *
 **********************************************************************/
/* Comments : unsigned char */
typedef unsigned char       UByte_t;

/* Comments : const unsigned char */
typedef const unsigned char UByte_Const_t;

/* Comments : unsigned int */
typedef unsigned int        UInt_t;

/* Comments : const unsigned int*/
typedef const unsigned int  UInt_Const_t;

/* Comments : unsigned long int */
typedef unsigned long int   ULong_t;

/* Comments : unsigned char */
typedef UByte_t             Unsized_UByte_t;

/* Comments : long int */
typedef long int            Long_t;

/* Comments : float */
typedef float               Real_t;

/* Comments : double */
typedef double              Double_t;

/* Comments : enum */
typedef enum Boolean_e {
    FALSE,
    TRUE
}                           Boolean_t;
#pragma attol type_boolean=Boolean_t

typedef enum Switch_e {
    CASE_1,
    CASE_2,
    CASE_3
}                           Switch_t;


typedef enum Detect_Switch_e {
    DETECT_CASE_1,
    DETECT_CASE_2,
    DETECT_CASE_3,
    NO_DETECT
}                           Detect_Switch_t;

#endif


