
------------------------------------------------------------------------
--
--  Licensed Materials - Property of IBM
--  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
--  IBM Rational Test RealTime
--  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
--
--  US Governement Users Restricted Rights - Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
------------------------------------------------------------------------


-----------------------------------------------
--
-- Body Source File
--
-----------------------------------------------

package body Source is

TOTO : exception;

-----------------------------------------------
--
-- Test of internal services
--
-----------------------------------------------

test_var : integer;
procedure ATTOL_TEST is separate;

-----------------------------------------------
--
-- simple / implicit / logical
--
-----------------------------------------------

-----------------------------------------------
--
-- fct_1
--
-----------------------------------------------
   function fct_1 return integer is
   begin
      if FALSE then
         null;
      end if;

      if TRUE then
         null;
      else
         null;
      end if;

      return 0;
   end fct_1;

-----------------------------------------------
--
-- fct_2
--
-----------------------------------------------
   function fct_2 return integer is
   i : integer;
   begin

      i:=0 ;
      loop
         i:=i+1;
         exit when i=10;
      end loop;

      for i in 0..10 loop
         null;
      end loop;

      for i in reverse 0..10 loop
         null;
      end loop;

      i:=0 ;
      while i<100 loop
         i:=i+1;
      end loop;

      return 0;
   end fct_2;

-----------------------------------------------
--
-- fct_ignored_1
--
-----------------------------------------------
--   function fct_ignored_1 return integer is
--   begin
--      while i<100 loop
--         i:=i+1;
--      end loop;
--
--      if FALSE then
--         null;
--      else
--         null;
--      end if;

--      return 0;
--   end fct_ignored_1;

-----------------------------------------------
--
-- fct_3
--
-----------------------------------------------
   function fct_3 return integer is
   a : integer:=1;
   b : integer;
   begin
      case a is
         when 0 => null;
         when 1 => b := a + 1;
         when 2 => null;
         when others => b := a -1;
      end case;

      case a is
         when 0 => null;
         when 1 => b := a + 1;
                  if b/=0 then
                     a := -1;
                  else
                     a := 1;
                  end if;
         when others => null;
      end case;

      return 0;
   end fct_3;

-----------------------------------------------
--
-- fct1_main
--
-----------------------------------------------
   function fct1_main return integer is
   ret : integer;
   begin
      ret := Source.fct_1;
      ret := Source.fct_2;
      ret := Source.fct_3;
      return 0;
   end fct1_main;


-----------------------------------------------
--
-- Elementary / modified / composed
--
-----------------------------------------------

-----------------------------------------------
--
-- fct_4
--
-----------------------------------------------
   function fct_4 return integer is
   a,b : boolean:=FALSE;
   c,d : boolean;
   begin
      c := a and b;

      if (a or not b) then
         null;
      end if;

      while (a or (not b and c)) loop
         null;
      end loop;

      if c then
         d := FALSE;
      else
         d := TRUE;
      end if;

      return 0;
   end fct_4;

-----------------------------------------------
--
-- fct_5
--
-----------------------------------------------
   function fct_5 return integer is
   a1,a2,a3,a4,a5 : boolean:=TRUE;
   b : boolean;
   begin
      b := (a1 and a2) or (not a3 and (a4 or a5));

      return 0;
   end fct_5;

-----------------------------------------------
--
-- fct_ignored_2
--
-----------------------------------------------
--   function fct_ignored_2 return integer is
--   a : boolean;
--   begin
--      a := FALSE or TRUE;

--      return 0;
--   end fct_ignored_2;

-----------------------------------------------
--
-- fct2_main
--
-----------------------------------------------
   function fct2_main return integer is
   ret : integer;
   begin
      ret := Source.fct_4;
      ret := Source.fct_5;

      return 0;
   end fct2_main;

end Source;

