#include "testCode.h"
char *TopStack,*BaseStack;
typedef int local_t;

int stackOverHeadPerProc;
int StackOverHeadRequired;
int codeOverHeadPerProc;

void ProcTop(local_t a)
{
	local_t local=a;
	TopStack=(char *)(&local);
}

/* this function must not be instrumented
   So the option -EXUNIT=nonInstrum must be used at instrumentation time
   should do the same thing as Instrum() */
void nonInstrum(local_t a)
{
	local_t local=a;
#include "testCode.c"
	ProcTop(local);
}
/*
 should do the same thing as nonInstrum()*/
void Instrum(local_t a)
{
	local_t local=a;
#include "testCode.c"
	ProcTop(local);
}

void ProcBase1(local_t a)
{
	local_t local=a;
	if(a&1)nonInstrum(local);
	else Instrum(local);
	BaseStack=(char *)(&local);
}

void OverHeadMain()
{
	ProcBase1(5); /* non instrumented way */
	stackOverHeadPerProc=((int)(BaseStack-TopStack));

	ProcBase1(2); /* instrumented way */
	stackOverHeadPerProc=((int)(BaseStack-TopStack) - stackOverHeadPerProc);
    if(stackOverHeadPerProc <0) stackOverHeadPerProc=-stackOverHeadPerProc;
    StackOverHeadRequired=0;
#pragma attol att_insert StackOverHeadRequired=sizeof(_AtlStackLink);
#pragma attol atp_insert StackOverHeadRequired=sizeof(_AtlStackLink);
#pragma attol atq_insert StackOverHeadRequired=sizeof(_AtlStackLink);

    codeOverHeadPerProc=((int)((char*)(&ProcBase1) - (char*)(&Instrum)) - (int)((char*)(&Instrum) - (char*)(&nonInstrum)));
}







