

/* 
 *  Licensed Materials - Property of IBM
 *  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */



#ifndef __PHONENUMBER_H__
#define __PHONENUMBER_H__

class IsEmpty
{

};

class IsFull
{
 private:
   int dummy;
};

class PhoneNumber
{
public:
    PhoneNumber( const PhoneNumber &phoneNum );
    PhoneNumber & operator=( const PhoneNumber &phoneNum );
    PhoneNumber & operator=( const char *phoneNum ); 
    PhoneNumber( unsigned length = 10 );
    void clearNumber( void );
    void removeDigit( void );
    int addDigit( char digit );
    int isFull( void );
    int isEmpty( void );
    int size( void );
    char operator[]( int i );
    inline const char * theNumber( void )
    {
#pragma attol att_insert _ATT_USER_NOTE(numberString)
return numberString;
    }
    ~PhoneNumber( void );

private:
    char * numberString;
    unsigned stringLength;
    int currentIndex;
};

#endif

