

/* 
 *  Licensed Materials - Property of IBM
 *  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */



#ifndef __UMTSCONNNECTION_H__
#define __UMTSCONNNECTION_H__

#include "tcpsck.h" 
#include "UmtsMsg.h"
#include "PhoneNumber.h"

class LostConnection
{
 public:
   LostConnection(tcpsck_return_t reason)
   {
    reason_=reason;
   };
   tcpsck_return_t id()
   {
    return(reason_);
   }
 private:
   tcpsck_return_t reason_;
};

class UmtsConnection
{
 public:
	inline UmtsConnection( tcpsck_socket_handle_t s )
	{
	 serverShutdown=0;
	 sck=s;
	}
	void processMessages ( void );
	int serverShutdown; 
 private:
    void handle(tcpsck_return_t ret);
    tcpsck_socket_handle_t sck;
    PhoneNumber num;
};

#endif
