

/* 
 *  Licensed Materials - Property of IBM
 *  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */



#ifndef __UMTSMSG_H__
#define __UMTSMSG_H__

#ifdef __cplusplus
extern "C" {
#endif

extern char * const cmd_connection_request;
extern char * const cmd_connection_established;
extern char * const cmd_network_busy;
extern char * const cmd_deconnection_request;
extern char * const cmd_deconnected;

extern char * const cmd_call;
extern char * const cmd_accepted;
extern char * const cmd_busy;
extern char * const cmd_unreachable;
extern char * const cmd_end_of_call;
extern char * const cmd_nyi;
extern char * const cmd_shutdown;

typedef  char buffer_t[64];

typedef struct UmtsMsg {
 char command[30];
 char phoneNumber[20];
 int simCardId;
 int baseStationId;
} UmtsMsg;

void UmtsMsg_code(UmtsMsg *msg, char *buffer);

void UmtsMsg_decode(UmtsMsg **msg, char *buffer);


#ifdef __cplusplus
}
#endif

#endif
