

/* 
 *  Licensed Materials - Property of IBM
 *  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */


#ifndef __UMTSSERVER_H__
#define __UMTSSERVER_H__

#include "ItemsList.h"
#include "UmtsConnection.h"
#include "NetworkNode.h"

class UmtsServer : public List
{
public:
    UmtsServer (int size);
    int exec();
	void checkPowerSupply();
    void checkHardware();
    void checkUmtsNetworkConnection();
    ~UmtsServer ();

private:
    tcpsck_socket_handle_t listenSocket;
    tcpsck_sock_addr_t listenAddr;
    void handle(tcpsck_return_t ret);
    List *networkNodes;
};

#endif
