

/* 
 *  Licensed Materials - Property of IBM
 *  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */



/* enum for message types */
/* the enum values must match the index of the type in the union (see the message_t) */
enum {
	VALUE,
	NAME
} message_enum;

typedef unsigned char I_8;

typedef struct s_message
{
  int msg_key;                    /* header of the message         */
  int		data[2];
  I_8       Cname[8];
  unsigned char name[8];
  union {
	int value[2];
        char name[4];
        } udata;
} message_type;

/* define the types and struct you need then use the following typedef to define message_t used by the PTS and the api.HTS */
/* only the VAR and DEF_MESSAGE will need to be modified to be in accordance with your message structure and field names */
typedef message_type message_t;
