
------------------------------------------------------------------------
--
--  Licensed Materials - Property of IBM
--  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
--  IBM Rational Test RealTime
--  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
--
--  US Governement Users Restricted Rights - Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
------------------------------------------------------------------------


with pkggen;
package pkguse is

  type colours is (blue,white,red,purple);
  package inst1 is new pkggen(positive);
  package inst2 is new pkggen(colours);
  package inst3 is new pkggen(inst1.G_enum);

A1_G_enum : aliased inst1.G_enum;
A1_G_int : aliased inst1.G_int;
A1_G_mod : aliased inst1.G_mod;
A1_G_real : aliased inst1.G_real;
A1_G_FixedPoint : aliased inst1.G_FixedPoint;
A1_G_DecimalType : aliased inst1.G_DecimalType;
A1_G_record : aliased inst1.G_record;
A1_G_array : aliased inst1.G_array;
A1_G_discr : aliased inst1.G_discr;
A1_G_access : aliased inst1.G_access;
A1_G_derived : aliased inst1.G_derived;

A2_G_enum : aliased inst2.G_enum;
A2_G_int : aliased inst2.G_int;
A2_G_mod : aliased inst2.G_mod;
A2_G_real : aliased inst2.G_real;
A2_G_FixedPoint : aliased inst2.G_FixedPoint;
A2_G_DecimalType : aliased inst2.G_DecimalType;
A2_G_record : aliased inst2.G_record;
A2_G_array : aliased inst2.G_array;
A2_G_discr : aliased inst2.G_discr;
A2_G_access : aliased inst2.G_access;
A2_G_derived : aliased inst2.G_derived;

procedure totest;
end pkguse;




