

/* 
 *  Licensed Materials - Property of IBM
 *  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */


/* 
 * (C) 2003 Rational Software Corporation. All Rights Reserved. 
 * 
 * file        : errdef.h
 * description : definition of error code 
 *
 */

#ifndef __ERRDEF__
#define __ERRDEF__

#define err_ok            0
#define err_empty         1
#define err_closed        2
#define err_again         3
#define err_fatal         4
#define err_stack_local   5
#define err_stack_cnf     6
#define err_connect       7
#define err_already       8
#define err_notinit       9

extern char * err_string[];
#endif

