
------------------------------------------------------------------------
--
--  Licensed Materials - Property of IBM
--  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
--  IBM Rational Test RealTime
--  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
--
--  US Governement Users Restricted Rights - Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
------------------------------------------------------------------------

package stubpkg is

   type Data_Array is array (0..10) of Integer;

   type Data_Record is record
     Field1 : integer;
     Field2 : integer;
     Field3 : integer;
   end record;

   procedure dummy (param1 : in out integer);

   procedure proc_in (param1 : in integer);

   procedure proc_inout (param1 : in out integer);

   function fct_in (param1 : in integer; param2 : in integer) return integer;

   function fct_nocheck (param1 : in integer) return integer;

   procedure sendA (Data : in Data_Array);

   function sendR (Data : in Data_Record) return integer;

end stubpkg;