
------------------------------------------------------------------------
--
--  Licensed Materials - Property of IBM
--  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
--  IBM Rational Test RealTime
--  (c) Copyright IBM Corp. 2003-2007 All Rights Reserved.
--
--  US Governement Users Restricted Rights - Use, duplication or
--  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
------------------------------------------------------------------------


---------------------------------------------------------------------------------
-- This test is not applicable if the package Text_io is not provided by the   --
-- environment. It may be replaced by a user IO package such as csmart_user_io --
-- in a SMART restrictive environment. In this case, replace the tested code   --
-- by the following lines.                                                     --
--                                                                             -- 
-- with csmart_user_io;                                                        --
-- procedure Test_io is                                                        --
-- begin                                                                       --
--   	 csmart_user_io.put("Test OK");                                          --
--	 csmart_user_io.new_line;                                                --
-- end Test_io;                                                                --
---------------------------------------------------------------------------------

with Text_io;
procedure test_io is
   file : text_io.file_type;
begin
   text_io.put_line("Creating and opening file: test.txt");
   text_io.create(file,text_io.out_file,"test.txt");
   
   text_io.put_line("Writing file");
   text_io.put(file,"TEST OK");
   text_io.new_line(file);
   
   text_io.put_line("Closing file");
   text_io.close(file);
end test_io;

