
/*
 *  Licensed Materials - Property of IBM
 *  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2010 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
#define RTRT_LONGJMP  /* undefine RTRT_LONGJMP if longjump is not available in this TDP */

typedef int INT;
typedef enum {Bleu,White,Red,Green,Yello,Black} Colors_type;
#ifdef RTRT_LONGJMP
#include <setjmp.h>
extern jmp_buf markb;              /* Address for long jump to jump to */
extern jmp_buf marka;              /* Address for long jump to jump to */
#endif
extern void b3();
extern INT g3(INT x);

#ifdef RTRT_LONGJMP
void b2()
{
 setjmp( markb );
 b3();
}
#endif

INT f2(int x)
{
 INT i;
 INT y=0;
 for (i=1;i<x;i++)
	 y+=g3(x*i);
 return(x);
}

