/*
 *  Licensed Materials - Property of IBM
 *  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2010 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
#define RTRT_LONGJMP  /* undefine RTRT_LONGJMP if longjump is not available in this TDP */

#ifdef RTRT_LONGJMP
#include <setjmp.h>
extern jmp_buf marka;              /* Address for long jump to jump to */
#endif

void myLongJump(jmp_buf env,int ret)
{
#ifdef RTRT_LONGJMP
 longjmp( env,ret);
#endif
}


void b3()
{
#ifdef RTRT_LONGJMP
 myLongJump( marka,1);
#endif
#pragma attol att_insert _ATT_USER_NOTE("Normal return")
}

int g3(int x)
{
 int i,j,y;
 for (i=1,y=1;i<(10*x*x*x);i++)
  for (j=2;j<(10*x*x*x);j++)
	  y+=i*j;
 return(y);
}


