/*
 *  Licensed Materials - Property of IBM
 *  Use Restricted Material of IBM - please refer to the "Samples Code" terms and conditions in the IBM International Program License Agreement (IPLA).
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2003-2010 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */
#define RTRT_LONGJMP  /* undefine RTRT_LONGJMP if longjump is not available in this TDP */

#include <stdio.h>
#include <stdlib.h>

#ifdef RTRT_LONGJMP
#include <setjmp.h>
jmp_buf mark;               /* Address for long jump to jump to */
jmp_buf marka;              /* Address for long jump to jump to */
jmp_buf markb;              /* Address for long jump to jump to */
#endif
extern void stackupdowndetection();
char * xp;

int main()
{
 int i,x;
 char *ip;
 ip=(char *)(&i);
#ifdef RTRT_LONGJMP
 setjmp( mark );
#endif
 stackupdowndetection();

 for (i=1,x=0;i<5;i++)
 {
  x+=f2(i);
 }
 if((unsigned long int)ip > (unsigned long int)xp)
 {
#pragma attol att_insert _ATT_USER_NOTE("STACK_GOING_DOWN")
	 /* STACK_GOING_DOWN */
	 *ip=1;
 }
 else
 {
#pragma attol att_insert _ATT_USER_NOTE("STACK_GOING_UP")
	 /* STACK_GOING_UP */
	 *ip=0;
 }

return 0;
}

