/* write here a procedure code representative of your application code */
/* this code is inserted into 2 procedures 1 is instrumented and the other not */
/* So this code will be executed twice. make sure exactly the same code will be executed */
{             
#define maxIndex 10001   
    double          t, p;
    long            i, n;
    long            nmax, nfft[100];  

    double   *xre, *xim, *yre, *yim;             
    
    xre = (double  *) malloc(maxIndex*sizeof(double));                        
    xim = (double  *) malloc(maxIndex*sizeof(double));                        
    yre = (double  *) malloc(maxIndex* sizeof(double));
    yim = (double  *) malloc(maxIndex*sizeof(double));

    if( !yim )
    {
       printf( "No memory available\n" );
       exit(1);
    }                 
      
    printf("Benchmark Test");        
              
    n=2;
    do {        
        nmax = 0;
        switch(n) {
            case 0 : nmax = 0; break;
            case 1 : 
                nmax = 4;
                nfft[0]  =  128;
                nfft[1]  =  256;
                nfft[2]  =  512;
                nfft[3]  = 1024;
                break;
            case 2 : 
                nmax = 7;
                nfft[0]  =   100;
                nfft[1]  =   200;
                nfft[2]  =   500;
                nfft[3]  =  1000;
                nfft[4]  =  2000;
                nfft[5]  =  5000;
                nfft[6]  = 10000;
                break;
        }
                
        for (i=0; i<nmax; i++) {

	long fftLength=nfft[i];
    long            ii, k, nn;  
    double          w, pi;
    double          sqr, sqrsum, sqrmax;
                             
    nn = fftLength;                             
    pi = 4 * atan(1); 
    k = 3;
    w = 2*k*pi/nn;
    for (ii=0; ii<nn; ii++) {
        xre[ii] = cos(ii*w);
        xim[ii] = sin(ii*w);
    }                    
                     
    sqrsum = (yre[k]-nn)*(yre[k]-nn) + yim[k]*yim[k];
    sqrmax = 0;         
    for (ii=0; ii<nn; ii++)
        if (ii != k)
        {
            sqr = yre[ii]*yre[ii] + yim[ii]*yim[ii];
            sqrsum = sqrsum + sqr;
            if (sqr > sqrmax) sqrmax = sqr;
        }
    sqrsum = sqrsum/nn;    /* division by n*n in two stages to avoid */
    sqrsum = sqrsum/nn;    /* integer overflow !!!!                  */
    sqrmax = sqrmax/nn;
    sqrmax = sqrmax/nn;
             
    if (sqrsum > 0)
        sqrsum = 10*log10(sqrsum);
    else                                
        sqrsum = -1000;
    if (sqrmax > 0)
        sqrmax = 10*log10(sqrmax);
    else
        sqrmax = -1000;
        
    p=sqrsum;


            printf(         "\n%d %5ld %f ",i, nfft[i], p);
        }                    
    } while(n-- > 0);

    free(yim);
    free(yre);
    free(xim);
    free(xre);
 }






